define(['jls/lang/Class', 'jls/lang/Logger','jls/html/HtmlElement', 'jls/gui/TemplateContainer'], function(Class, Logger, HtmlElement, TemplateContainer) {

    var Notification = Class.create(HtmlElement, {
        initialize : function($super, parameters, parent) {
            TemplateContainer.create(this, Notification.TEMPLATE, $super, parameters, parent);
        }
    });

    Object.extend(Notification, {
        TEMPLATE : {
            attributes : {
                htmlTagName : 'div'
            },
            style : {
                position : 'absolute',
                textAlign : 'center',
                width : '100%',
                bottom : '-1px'
            },
            children : [{
                classname : 'jls/html/HtmlElement',
                attributes : {
                    htmlTagName : 'div',
                    id : 'container'
                },
                style : {
                    margin : '0px 60px',
                    borderTop : '1px solid windowframe',
                    borderLeft : '1px solid windowframe',
                    borderRight : '1px solid windowframe',
                    backgroundColor : 'window',
                    borderRadius: '5px 5px 0px 0px'
                }
            }]}
    });
    
    return TemplateContainer.prepareClass(Notification);
});
